Dear Forum,
I am looking for a snippet of NXOpen code to determine if a part is already open.
I use the following lines of code to initially open the part:
Dim part1 As NXOpen.BasePart
Dim partLoadStatus1 As NXOpen.PartLoadStatus
part1 = theSession.Parts.OpenBaseDisplay(mWorkingFolder &...
Dear Forum,
I am creating an assembly with components made from part families. When I replacement a component within the assembly with another part within the same part family NX is throwing an error stating, "The following components were excluded from the replacement operation: Part is...
Dear Forum,
In NXOpen is there a way to find out whether you are in drafting or modeling? What is the NXOpen call to determine if the user is in drafting mode or modeling mode?
Thanks.
I have one dll that calls another dll. Everything works fine when I am running the app inside of visual studio. But, when I copy and paste the dll's into another location. The one dll opens however when it tries to call the other dll it can't. What am I doing wrong here?? Please help.
Dear Forum,
I am creating a UI Block styler for the creation of associated points within a component or within an assembly. The specify point control work great for creating a point within a component. But doesn't allow the selection of edges or any of the point constructor features within...
Dear Forum,
I've been using "theUfSession.Ui.DisplayMessage" to display a message box to the user. However, I need a similar message box with the ability for the user to enter a single number. Is there something similar to "theUfSession.Ui.DisplayMessage" message box to allow the user to...
Dear Forum,
In the past, I've used a cloning log file to clone an assembly. It's been awhile so I've completely forget what the format of the cloning log file looks like and how to execute it. Does anyone know how to create this cloning log file and how to execute it?
Thanks.
Dear Forum,
I am trying to find the equivalent for the following journal code CType(component1.FindObject("PROTO#.Bodies|LINKED_BODY(0)"), NXOpen.Body). I have babdy within a component of an assembly. I can get at the component but I need to get at the solid body within the component. Does...
Dear Forum,
I've developed some NXOpen code to Enlarge a face using the CreateEnlargeBuilder. However, that is not my issue. Sometimes, I need to enlarge along the V-direction and sometimes along the U-direction. The face that I am enlarging has multiple saddles and valleys therefore I can't...
Dear Forum,
It's been awhile since I've used KF and now I am trying to write to a file and need a line feed bread character. Does anyone know the line feed character for this function?
Thank you.
Dear Forum,
Is there an easy way to find a feature by name.
I found this in the solution center for finding a line:
Public Function getLineByFeatureName(ByVal theName As String) As Line
Dim aTag As Tag = Tag.Null
Do...
Dear Forum,
I need some help getting at the dimension of the text displayed on the drawing. I am using the following snippet of code.
Dim dimObj As Dimension = Nothing
theUFSession.Obj.CycleObjsInPart(displayPart.Tag, UFConstants.UF_dimension_type, dimnsn)
dimObj =...
Dear Forum,
With NXOpen, how do I get the height of a dimension, note and/or label.
Here's how I am getting the dimension object.
theUFSession.Obj.CycleObjsInPart(displayPart.Tag, _
UFConstants.UF_dimension_type, dimnsn)
If dimnsn = NXOpen.Tag.Null...
Dear Forum,
I am looking for the best approach for developing an NXOpen app for inserting a component into an assembly and assigning mating conditions to that component. I journalled the activity and the journal has a lot of stuff in there. I was wondering if someone has something that I...
Dear Forum,
I trying to develop a custom dialog box for the selection of a GD&T symbol or Note within a drafting sheet.
Below is the code I am having issues with getting the selection prompt to pick up on the drafting note.
Please any suggestions on what I am doing wrong. Thanks...
Dear Forum,
Is there a way to get a particular feature attached to a dimension with NXOpen? Say for example, I have a drawing dimension that is associated with a hole feature is there a way through NXOpen to get the instance feature(s) that the extension lines of the dimensions are attached...
Dear Forum,
I am working with the NXOpen RegisterRpoRoutine method and trying to create hole constraints programmatically. I've tried several examples within the GTAC solutions and can't seem to get this functionality to work. I am developing in vb.net. I've created a function that creates a...